# Generated by Django 4.0.10 on 2023-03-21 09:11

import diesos.artefacts.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('artefacts', '0006_artefact_hazard'),
    ]

    operations = [
        migrations.CreateModel(
            name='ArtefactImageAsset',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to=diesos.artefacts.models.image_asset_upload_path, verbose_name='image')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('default', models.BooleanField(default=True, verbose_name='default')),
                ('artefact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='artefacts.artefact')),
            ],
            options={
                'verbose_name': 'artefact image asset',
                'verbose_name_plural': 'artefact image assets',
                'ordering': ['artefact', 'default'],
            },
        ),
        migrations.AddIndex(
            model_name='artefactimageasset',
            index=models.Index(fields=['artefact'], name='artefacts_a_artefac_2f1fc6_idx'),
        ),
        migrations.AddIndex(
            model_name='artefactimageasset',
            index=models.Index(fields=['default'], name='artefacts_a_default_ba1863_idx'),
        ),
    ]
